Skip to content

LoanAppPrintApp⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppPrintAppSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppPrintAppSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppPrintAppApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppPrintAppSelectFields
POST /nexum/627/persistent/parameter/getLoanAppPrintAppSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppPrintAppApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppPrintAppFields": true,
    "LoanAppPrintAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppPrintAppPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppPrintAppPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppPrintAppPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppPrintAppPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppPrintAppFields": true,
    "LoanAppPrintAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppPrintAppPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppPrintAppPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppPrintAppPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppPrintAppPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppPrintAppFields": true,
    "LoanAppPrintAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppPrintAppByID⁠

POST

Execute the persistent ParameterService updateLoanAppPrintAppByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppPrintAppApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppPrintAppByID
POST /nexum/627/persistent/parameter/updateLoanAppPrintAppByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppPrintAppApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppPrintAppFields": {
    "ApplicationType": 0,
    "Specfile": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}